Passport Verification

This API Fetch the user passport details using the Application Number and Date of Birth (DOB) to securely verify the passport status and related information in real time from the issuing authority.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code is "1" (Fixed)MY
X-Ipay-Client-IdStringUnique Client Id Provided by InstantpayMY
X-Ipay-Client-SecretStringUnique Client Secret Provided by InstantpayMY
X-Ipay-Endpoint-IpStringEnd customer IP AddressMY

Request Parameters

Parameter NameTypeRequirementDescription
passportFileNumberStringMandatoryPassport Number
dobStringMandatoryPassport holder's date of birth
latitudeStringMandatoryEnd Customer Latitude.
longitudeStringMandatoryEnd Customer Longitude
externalRefStringMandatoryYour Unique Transaction id

Sample Request

curl --location 'https://api.instantpay.in/identity/verifyPassport' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data '{
     "passportFileNumber": "GZ606xxx4976225",
     "dob": "1999-02-22",
     "latitude": "28.5245",
     "longitude": "77.2688",
     "externalRef": "1764061199"
 }
POST /identity/verifyPassport HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: xxxxxxxxxxxxxxxx
X-Ipay-Client-Secret: xxxxxxxxxxxxxxxx
X-Ipay-Endpoint-Ip: xxxxxxxxxxxxxx
Content-Type: application/json
Content-Length: 139

{
    "passportFileNumber": "GZ6066204976225",
     "dob": "1999-02-22",
     "latitude": "28.5245",
     "longitude": "77.2688",
     "externalRef": "1764061199"
}

Response Parameters

Parameter NameTypeDescription
statuscodeStringInstantpay Status Code
actcodeStringAction Code
statusArrayStatus message
dataStringResponse Data(if Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id(if transaction otherwise it is null)
environmentStringLive/Sandbox
internalCodeStringIt will be null

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "passportData": {
            "passportFileNumber": "GZ606xxx4976225",
            "dob": "22/02/1999",
            "passportNumber": null,
            "name": "John",
            "surname": "Doe",
            "applicationType": "Normal",
            "applicationDate": "17/11/2025",
            "dateOfDispatch": null
        },
        "poolReferenceId": "1251127173134EZFJY",
        "pool": {
            "openingBal": "11.13",
            "mode": "DR",
            "amount": "2.36",
            "closingBal": "8.77"
        }
    },
    "timestamp": "2025-11-27 17:31:34",
    "ipay_uuid": "h000a0750700-f103-4e99-b590-b6af7be51727-TztOuvmr0eDo",
    "orderid": "1251127173134EZFJY",
    "environment": "LIVE",
    "internalCode": null
}
Body Params
string
string
string

End Customer Latitude.

string

End Customer Longitude.

string

Your Unique Transaction id

Headers
string
Defaults to 1

Auth Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json